Subject: Re: how about removing --exec-path?

From: Alex Riesen <[email-masked]>
Date: Sat, 26 Jul 2008 08:48:31 +0200

Johannes Schindelin, Sat, Jul 26, 2008 04:49:06 +0200:
> On Fri, 25 Jul 2008, Alex Riesen wrote:
> 
> > The thing has at least this problem: is not passed to upload-pack when
> > running fetch.
> 
> It should be added to PATH, and so it is passed to upload-pack, amongst 
> others, in a sense.
> 

Yes, but next time upload-pack runs a program, it adds builtin exec
path to PATH (because --exec-path not given to transport's uploadpack
command). So it looks like this:

    $GIT_EXEC_PATH:/usr/local/libexec/git-core:/orig/exec-path:\
    $GIT_EXEC_PATH:/usr/local/libexec/git-core:$ORIG_USER_PATH

which kind of useless for debugging. So using GIT_EXEC_PATH is the
only way (and why did we need more? Working around something?)